# Packmangroup: System
# Packmanpackagename: bashdb
# Packman: Manfred Tremmel

Name:           bashdb
Summary:        BASH with Debugger and Improved Debug Support and Error Handling
Summary(de):    BASH mit Debugger und verbessertem Debugging Support und Fehlerbehandlung
Version:        4.0_0.4
Release:        1.pm.1.36
License:        GPL
Group:          System/Shells
Url:            http://bashdb.sourceforge.net/

Source0:        bashdb-4.0-0.4.tar.bz2

Vendor:         Packman
Buildroot:      %{_tmppath}/%{name}-%{version}-%{release}-root
#Requires:       bash >= 4.0
#BuildRequires:  bash >= 4.0
Requires:       bash
Requires:       info
BuildRequires:  bash
BuildRequires:  gcc
BuildRequires:  emacs
BuildRequires:  emacs-x11
BuildRequires:  xemacs

%description
This is a complete rewrite of the Korn Shell debugger from Bill
Rosenblatt's `Learning the Korn Shell', published by O'Reilly and
Associates (ISBN 1-56592-054-6). Michael Loukides and Cigy Cyriac made
some additional changes.

%description -l de
Dies ist ein kompletter Rewrite des Korn Shell Debuggers von Bill
Roseblatts `Learning the Korn Shell', publiziert von O'Reilly und
Associates (ISBN 1-56592-054-6). Michael Loukides und Cigy Cyriac
haben einige weitere Verbesserungen beigetragen.

%prep
%setup -n %{name}-4.0-0.4

%build
aclocal
autoconf
automake
%configure
%__make

%install
%makeinstall
#%{__mkdir_p} %{buildroot}%{_datadir}/bash/
#%{__install} -m 644 dbg-*.inc %{buildroot}%{_datadir}/bash/
%{__rm} -f "%{buildroot}%{_infodir}/dir"
chmod 755 %{buildroot}%{_datadir}/bashdb/getopts_long.sh

%clean
[ "%{buildroot}" != "/" ] && %{__rm} -rf "%{buildroot}"

%post
if [ -x /sbin/install-info ] ; then
    /sbin/install-info --info-dir=%{_infodir} \
        %{_infodir}/bashdb.info.gz
fi

%preun
if [ -x /sbin/install-info ] ; then 
    /sbin/install-info --info-dir=%{_infodir} --remove bashdb
fi

%files
%defattr(-,root,root)
%doc doc/*.html AUTHORS ChangeLog COPYING INSTALL NEWS README THANKS TODO
%{_bindir}/*
%{_mandir}/man1/*
%{_infodir}/*
%{_datadir}/bashdb
%{_datadir}/emacs/site-lisp/bashdb.*

%changelog
* Thu Oct 29 2009 Manfred Tremmel <Manfred.Tremmel@iiv.de> - 4.0-0.4-0.pm.1
- update to 4.0-0.4
* Wed Sep 02 2009 Manfred Tremmel <Manfred.Tremmel@iiv.de> - 4.0-0.3-1.pm.1
- cleanups where rpmlint wasn't so happy
* Sat Apr 11 2009 Manfred Tremmel <Manfred.Tremmel@iiv.de>
- update to 4.0-0.3
* Tue Nov 18 2008 Manfred Tremmel <Manfred.Tremmel@iiv.de>
- update to 4.0-0.2
* Tue Oct 28 2008 Manfred Tremmel <Manfred.Tremmel@iiv.de>
- update to 4.0-0.1
* Sun Oct 28 2007 Manfred Tremmel <Manfred.Tremmel@iiv.de>
- update to 3.1-0.09
* Sun Jan 21 2007 Manfred Tremmel <Manfred.Tremmel@iiv.de>
- update to 3.1-0.08
* Sat Dec 16 2006 Manfred Tremmel <Manfred.Tremmel@iiv.de>
- update to 3.1-0.07
* Sun Jul 23 2006 Manfred Tremmel <Manfred.Tremmel@iiv.de>
- update to 3.1-0.06
* Sat Apr 15 2006 Manfred Tremmel <Manfred.Tremmel@iiv.de>
- update to 3.1-0.05
* Tue Jan 17 2006 Manfred Tremmel <Manfred.Tremmel@iiv.de>
- update to 3.00-0.04
* Fri Dec 16 2005 Manfred Tremmel <Manfred.Tremmel@iiv.de>
- update to 3.00-0.03
* Sun Jul 31 2005 Manfred Tremmel <Manfred.Tremmel@iiv.de>
- update to 3.00-0.02
* Sun May 16 2004 Manfred Tremmel <Manfred.Tremmel@iiv.de>
- update to 0.43
* Sun Sep 21 2003 Manfred Tremmel <Manfred.Tremmel@iiv.de>
- update to 0.42
* Sat Aug 16 2003 Manfred Tremmel <Manfred.Tremmel@iiv.de>
- first spec file
